component-section
  div(slot='title') OW-3 Architectural Significant Requirements
  component-intendedlearningoutcomes
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong quality attribute requirement
      |
      | uit.
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong quality attribute scenario
      |
      | uit.
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong algemene quality attribute scenario’s
      | , het gebruik en de beperkingen uit.
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong standaarden
      |
      | voor het beschrijven van
      |
      strong quality attributes
      |
      | uit.
    component-criterion(codes='["SK-begrip-QAs"]')
      | legt de
      |
      strong quality model
      | s uit van ISO/IEC/IEEE 25010:2011
  component-section
    div(slot='title') Quality Model
    figure
      figcaption Het product quality model in ISO 25010
      img(alt='Product quality model', src='bron/material/iso_25010.png')
  component-section
    div(slot='title') Bestuderen
    p.bron
      abbr(title='Nuseibeh, B. (2001). Weaving Together Requirements and Architectures. Computer, 34(3), 115-117')
        a(href='bron/material/Nuseibeh_TwinPeaksModel.pdf') Weaving Together Requirements and Architectures - pp. 115-117
    p.bron
      abbr(
        title='Kruchten, P. (2008). Controversy Corner: What do software architects really do?. Journal of Systems and Software, 81(12), 2413-2416')
        a(href='bron/material/Kruchten_WhatArchitectsDo.pdf') What do software architects really do - pp. 101-110
    p.bron
      a(href='bron/material/ISO_IEC_IEEE_25010.pdf') ISO_IEC_IEEE_25010
    p.bron
      cite(data-id='6867189/KRJVJXEU', data-label='chapter', data-locator='4') Software Architecture in Practice
  component-section
    div(slot='title') Oefening 1
    component-exercise
      p.bron
        | Lees HandsOn:
        |
        a(href='#sec_3.3') Software Trendanalyse Dashboard
      ol
        li Benoem de stakeholders voor deze applicatie.
        li Maak een initiele schets van het systeem.
  component-section
    div(slot='title') Oefening 2
    component-exercise
      p
        strong Welke Quality attribute(s) behoort bij onderstaande vereiste:
      ul
        li Het systeem heeft een uptime van 99%
        li Performance dient consistent 24x7 te zijn over de gehele wereld
        li Het systeem dient een gemiddeld storingsvrije operatie te hebben boven 2000 uur
        li Het systeem dient een audit trail bij te houden
        li
          | Het systeem dient bij te houden welk persoon een bepaalde actie heeft goedgekeurd
    component-exercise
      p.bron
        a(href='#sec_3.3.2.4') Lees de paragraaf Vereisten uit HandsOn: Software Trendanalyse Dashboard
      p Benoem minimaal 3 non-functional requirements voor deze applicatie.
  component-section
    div(slot='title') Oefening 3
    component-exercise
      p
        strong Het Trendanalyse Dashboard heeft deze vereiste:
      p
        em
          | “Het systeem moet in de toekomst kunnen worden uitgebreid met het aantal geregistreerde en "concurrent" gebruikers.”

      ul
        li Tot welke AQ(s) behoort deze vereiste?
        li
          | Hoe kunnen deze concreter worden omschreven in de vorm van meerdere QA scenarios?
        li
          | Omschrijf een testsituatie die kan worden gedefinieerd om de QA scenarios die je omschreven hebt te kunnen testen.
    component-exercise
      p
        strong
          | Lees de volgende requirements voor het importeren van bankafschriften via een MT940s bestand uit een
          | Boekhoudapplicatie:
      p
        em
          | “Het automatisch importeren van bankafschriften vindt plaats via een batchjob op de webservers.
          | Als deze job is gestart mag er geen andere job gestart worden voor het betreffende bankboek.
          | Indien de job langer dan 5 minuten duurt, dient deze te worden afgebroken en te worden gerapporteerd.
          | In het geval van een fout in de verwerking of fout in bestand wordt de job afgebroken, gerapporteerd en kan er geen andere job voor dit bankboek worden gestart totdat de fout is verholpen.”
      p Beschrijf minimaal twee quality attribute scenarios met alle zes de onderdelen.
  component-section
    div(slot='title') 👨‍🏫 Presentatie
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW3.pdf') Lesweek 3
